Name: srptools
Version: 0.0.4
Release: 10%{?dist}
Summary: Tools for using the InfiniBand SRP protocol devices
Group: System Environment/Base
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source0: http://www.openfabrics.org/downloads/%{name}/%{name}-%{version}-0.1.gce1f64c.tar.gz
Source1: srptools.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibumad-devel, libibverbs-devel > 1.1.3
Requires(post): chkconfig
Requires(preun): chkconfig
ExcludeArch: s390 s390x
Obsoletes: openib-srptools <= 0.0.6

%description
In conjunction with the kernel ib_srp driver, srptools allows you to
discover and use SCSI devices via the SCSI RDMA Protocol over InfiniBand.

%prep
%setup -q

%build
%configure
make CFLAGS="$CFLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -p -m 755 -D %{SOURCE1} %{buildroot}%{_initrddir}/srpd

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add srpd
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del srpd
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/srp_daemon.conf
%{_initrddir}/srpd
%{_sbindir}/ibsrpdm
%{_sbindir}/srp_daemon
%{_sbindir}/srp_daemon.sh
%{_sbindir}/run_srp_daemon
%{_mandir}/man1/ibsrpdm.1*
%{_mandir}/man1/srp_daemon.1*
%doc README NEWS ChangeLog COPYING

%changelog
* Wed Aug 15 2012 Doug Ledford <dledford@redhat.com> - 0.0.4-10.el5
- Bump and rebuild (evidently I rebuilt before libibumad hit the build
  root override)
- Resolves: bz847913

* Mon Aug 13 2012 Doug Ledford <dledford@redhat.com> - 0.0.4-9.el5
- Backport rhel6.3 changes to rhel5.9
- Related: bz771441

* Mon Feb 22 2010 Doug Ledford <dledford@redhat.com> - 0.0.4-8.el5
- Move srp_daemon.conf to /etc because the code expects it there
- Resolves: bz552915

* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 0.0.4-7.el5
- Bump and rebuild against new libibumad
- Related: bz518218

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 0.0.4-6.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 0.0.4-5.el5
- Build against non-XRC libibverbs
- Update to ofed 1.4.1 final bits
- Related: bz506258, bz506097

* Fri Apr 24 2009 Doug Ledford <dledford@redhat.com> - 0.0.4-4.el5
- Add -fno-strict-aliasing to CFLAGS

* Sat Apr 18 2009 Doug Ledford <dledford@redhat.com> - 0.0.4-3.el5
- Bump and rebuild against updated libibverbs and libibumad
- Related: bz459652

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.0.4-2
- Update to OFED 1.3 final bits
- Related: bz428197

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 0.0.4-1
- Import upstream srptools and obsolete old openib-srptools package
- Related: bz428197

